Subject: [Sip] FW: Questions on To tags (was Re: [Sipping] Comments on draft-ietf-sip-rfcbis-05.pdf)

From: "Badri Srinivasan S" <[email-masked]>
Date: Thu, 21 Feb 2002 14:35:10 +0530

Hi:

This is was the latest reply given for the query on "Different From tags for
2 different calls (INVITE's)".
But the "Call-Id + From tag + To tag always remaining unique for a dialog"
makes it unnecessary for the
From tag for 2 different INVITE's to be different.Even the To tag in the
case of 2 different calls (INVITE's) can be the
same as the combination of Call-id + From tag + To tag will disambiguate the
dialogs.
I understand that the To tag need not be different for the two different
INVITE's the same UAS responds. When such is the case, why the reason of
Symmetry is cited for making the From tag different for 2 diff INVITE's ?.

Thanks,
Badri

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
Peter Päppinghaus
Sent: Tuesday, February 19, 2002 1:56 PM
To: Jonathan Rosenberg
Cc: [email-masked]
Subject: Re: Questions on To tags (was Re: [Sipping] Comments on
draft-ietf-sip-rfcbis-05.pdf)

I realize the incredible workload you are taking, and I really don't
want to abuse your precious time. But could you help me to understand
why I am mistaken in my inline comment below? Sorry for this.

Peter P.

Jonathan Rosenberg wrote:
>
> Peter Päppinghaus wrote:
> > In bis-07, section 23.3, lines 4896-4897, now in fact say:
> > "Similarly, two INVITEs for different calls will have different From
> > tags."
> >
> > This really surprises me for two reasons.
> >
> > Firstly, if the From tag has to be unique across all calls, then it
> > uniquely identifies a call, so what would the Call-ID be needed for?
>
> If we were able to start SIP from scratch, I would probably agree that
> the Call-ID and from tag are redundant. But, we can't. So, the real
> question is this - given we have a unique call-id, and that people have
> been putting them in that way, and relying on their uniqueness, is there
> also a need for the from tag/to tag to be unique?
>
> There, there answer is in fact yes, but for subtle reasons. Certainly,
> the to tag in a response needs to be unique. What you really, really
> need is for both participants in the dialog to contribute unique
> identifiers, such that the combination of the two are the dialog ID.

According to my understanding, what you really, really need is for
both participants in the dialog to contribute unique identifiers,
such that the combination of the two *together with the Call-ID*
are the dialog ID.

And if all of the following hold:

1) the From tag uniquely identifies a UAC (unique in space and role
   as a request-issuing entity),

2) the To tag uniquely identifies a UAS (unique in space and role
   as a response-issuing entity),

3) the Call-ID used for the request is unique "over time", i.e. as
   a minimal requirement: the same UAC ("same" as identified by
   the From tag) never issues another dialog-initiating request
   with the same Call-ID value,

then the dialog ID consisting of Call-ID, From tag, and To tag,
will uniquely identify a dialog, won't it?

> So, the to tag has to be unique, OK. Now, in requests in the reverse
> direction that the dialog was established, the To and From field values
> are reversed. This means that what was in the From in the initial
> request, is now in the To, and vice a versa. This means that elements
> which might like to take advantage of the fact that the to tag is
> unique, really cannot, since it wouldn't be in the reverse direction
> unless the from tag in the original request was also unique. And thus
> the requirement for unique from tags as well.
>
> So, simply put, the from tag is unique to provide symmetry wiht the to
> tag, which must be unique.
>
> -Jonathan R.

--
Dr. Peter Päppinghaus
Siemens AG            | Phone:    +49 89 - 722 40065
ICM N PG U ID A1      | Fax:      +49 89 - 722 58726
Hofmannstr. 51        | Visitors: Building 1702 / Room 530
D - 81359 München     | Email:    [email-masked]

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip